<!DOCTYPE html>
<html lang="nl" class="scroll-smooth">
{{ partial "head" . }}

<body class="text-gray-800 bg-white">
  <header class="sticky z-20 top-0 bg-white border-b border-gray-200">
    <nav class="flex items-center max-w-screen-xl mx-6 min-[1328px]:mx-auto py-3">
      <a class="shrink-0 -mt-2 mr-auto lg:mr-5" href="/"><img class="h-12" src="/img/logo.svg" alt="Digilab"></a>

      <input id="menu-input" class="hidden" type="checkbox">
      <div id="menu-content" class="hidden lg:flex flex-row items-center bg-white grow lg:mr-auto">
        <ul class="text-lg mr-auto">
          {{- $current := . -}}
          {{ range .Site.Menus.main -}}
          {{- $active := or ($current.IsMenuCurrent .Menu .) ($current.HasMenuCurrent .Menu .) -}}
          <li class="block lg:inline-block">
            <a class="p-2 hover:text-[#083ce5] {{ if $active }} font-semibold text-[#083ce5]{{ end }}" href="{{ .URL | relURL }}">{{ .Name }}</a>
          </li>
          {{ end -}}
        </ul>

        <form id="search-form" class="mr-3 relative">
          <input id="search-input" class="block w-72 bg-gray-50 hover:bg-white focus:bg-white border border-gray-300 text-gray-800 px-3 py-2 rounded-md focus:border-sky-600 focus:outline-none focus:ring-4 focus:ring-sky-100 placeholder:text-gray-500" type="search" placeholder="Zoeken…" autocomplete="off"></input>

          <div id="search-results" class="absolute right-0 w-96 sm:w-[30rem] lg:w-[40rem] top-12 bg-white rounded-md border border-slate-200 empty:hidden overflow-y-auto shadow shadow-black/[.05]"></div>
        </form>

        <a class="text-gray-600 hover:text-[#083ce5]" href="https://gitlab.com/digilab.overheid.nl" target="_blank" rel="nofollow" title="Digilab op GitLab">
          <svg xmlns="http://www.w3.org/2000/svg" class="w-6 h-6" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="m21 14l-9 7l-9-7L6 3l3 7h6l3-7z"/></svg>
        </a>
      </div>
  
      <div id="backdrop" class="hidden fixed z-10 top-0 left-0 right-0 bottom-0 bg-gray-900 opacity-0"></div>

      <button id="sidebar-toggle" class="mr-2 lg:hidden text-gray-600 hover:text-[#083ce5] cursor-pointer" type="button" aria-label="Toon/verberg de content-navigatie">
        <svg xmlns="http://www.w3.org/2000/svg" class="w-6 h-6" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 12a1 1 0 1 0 2 0a1 1 0 1 0-2 0m7 0a1 1 0 1 0 2 0a1 1 0 1 0-2 0m7 0a1 1 0 1 0 2 0a1 1 0 1 0-2 0"/></svg>
      </button>

      <label id="menu-toggle" class="z-30 lg:hidden text-gray-600 hover:text-[#083ce5] cursor-pointer" for="menu-input">
        <svg xmlns="http://www.w3.org/2000/svg" class="w-6 h-6" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16"/></svg>
        <svg xmlns="http://www.w3.org/2000/svg" class="w-6 h-6 hidden" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M18 6L6 18M6 6l12 12"/></svg>
      </label>
    </nav>
  </header>

  {{- block "main" . }}{{ end -}}

  <footer class="py-5 text-gray-600 bg-gray-100 border-t border-gray-200">
    <div class="flex flex-wrap items-center max-w-screen-xl mx-6 min-[1328px]:mx-auto py-2">
      <a class="hover:underline mr-auto mb-3 sm:mb-0" href="{{ "/privacy/" | relURL }}">Privacy en cookies</a>

      <div>
        <span class="block sm:inline mr-2">Zie ook:</span>
        <a class="mr-2 hover:underline" href="https://developer.overheid.nl/" target="_blank" rel="nofollow">Developer Overheid</a>
        <a class="hover:underline" href="https://apigov.nl/" target="_blank" rel="nofollow">Kennisplatform API's</a>
      </div>
    </div>
  </footer>

  {{ partial "scripts" . }}
</body>

</html>
